.outerContainer{
  display: flex;
  justify-content: space-around;
  flex-direction: row;
  flex-wrap: wrap;
  padding: 0;
  margin: 0;
  background-color: lightgreen;
  width: 100%;
}
.container {
  display: inline-block;
  width: 20rem;
  height: auto;
  position: relative;
  margin: 1rem;
  &:hover .overlay {
    opacity: 0.6;
  }
}
.image {
  display: block;
  width: 100%;
  height: auto;
  z-index: -1;
}
.overlay {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  height: 100%;
  width: 100%;
  background-color: #000000;
  z-index: 1;
  opacity: 0.4;
  transition: .3s ease;
}
.text {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  opacity: 1;
  z-index: 2;
  color: #FFFFff;
  font-size: 3rem;
  font-weight: bold;
  text-align: center;
}